using System.Collections.Generic;
using InABox.Core;
using InABox.DynamicGrid;

namespace InABox.Wpf;

public interface IMasterDetailPage
{
    DynamicTabItem Tab { get; set; }
}

public interface IMasterDetailPage<TMaster> : IMasterDetailPage
{
    
    Dictionary<string, object[]>? Selected();

    IDataModelSource Refresh(TMaster? entity);

    IDataModelSource DataModelSource();
    
    TMaster? Master { get; set; }
}